Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.symboltable
Class JspScopeAndDeclarationFinder

    java.lang.Object
      net.sourceforge.pmd.symboltable.JspScopeAndDeclarationFinder

public class JspScopeAndDeclarationFinder
extends java.lang.Object

Setting the scope in the root of a JSP AST.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`JspScopeAndDeclarationFinder()`

Method Summary
`void` | `setJspScope(ASTCompilationUnit compilationUnit)` Set a DummyScope as scope of the given compilationUnit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspScopeAndDeclarationFinder

    public JspScopeAndDeclarationFinder()

Method Detail

### setJspScope

    public void setJspScope(ASTCompilationUnit compilationUnit)

  Set a DummyScope as scope of the given compilationUnit.

  Parameters:
    `compilationUnit` - the ASTCompilationUnit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.